# Draw
TKDCAF
DrawDim

# DrawDim_Radius Class Reference

`#include <DrawDim_Radius.hxx>`

Inheritance diagram for DrawDim_Radius:

[legend]

## Public Member Functions

Standard_EXPORT | DrawDim_Radius (const TopoDS_Face &cylinder)
Standard_EXPORT const TopoDS_Face & | Cylinder () const
Standard_EXPORT void | Cylinder (const TopoDS_Face &face)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Face | myCylinder

## Constructor & Destructor Documentation

Standard_EXPORT DrawDim_Radius::DrawDim_Radius | ( | const TopoDS_Face & | cylinder | ) |

## Member Function Documentation

Standard_EXPORT void DrawDim_Radius::Cylinder | ( | const TopoDS_Face & | face | ) |

Standard_EXPORT const TopoDS_Face& DrawDim_Radius::Cylinder | ( |  | ) | const

Standard_EXPORT void DrawDim_Radius::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const DrawDim_Radius::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawDim_Dimension.

## Field Documentation

TopoDS_Face DrawDim_Radius::myCylinder `[private]`

The documentation for this class was generated from the following file:

- DrawDim_Radius.hxx